entry:
    LDA #$02    ; shift right by 2 bits
    TAX         ; put the shift amount in the X register
    LDA #$5C    ; put the data value $5C in the accumulator
    JSR right_shift_n
    BRK

right_shift_n:
loop:
    CPX #$00    ; is X zero?
    BEQ done    ; if X=0, we're done
    LSR         ; shift A right one place
    DEX         ; decrement X
    JMP loop    ; continue loop
done:
   RTS

